Subject: Re: [PATCH 3/4 - rev 2] Initilize and populate age field

From: Varun Chandramohan <[email-masked]>
Date: Tue, 21 Aug 2007 17:02:29 +0530

Thomas Graf wrote:
> * Varun Chandramohan <[email-masked]> 2007-08-21 16:52
>   
>> I know its a bit confusing but let me explain the reason. In my first
>> version patch i used fn_hash_insert() (place where alias is created)as
>> place to insert my current time in the age field.
>> This will eventually call fib_dump_info() for inserting the age filed
>> attribute into the skb. Now in both places i have to call
>> do_gettimeofday(). Its obvious that i need it in fn_hash_insert(), its
>> also need in fib_dump_info() as it is the same function called for
>> retrieving and dumping the age value to the userspace. So as you are
>> aware that before we dump it to userspace we need to subtract the value
>> with current time i need to call do_gettimeofday() twice. To avoid this
>> i did as above.
>>     
>
> At least put a comment there, it's far from obvious.
>   
ok, thanks for the suggestion. Ill put a comment on that.
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>